//********************************************************************************************************************************************

//WATER

textures/leftbehind/water
	{
		qer_editorimage textures/leftbehind/water1.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm fog
		fogparms ( .255 .220 .150 ) 2042
		q3map_surfacelight 100
	
		cull disable
		deformVertexes wave 64 sin .05 .05 0 .5	
		{ 
			map textures/leftbehind/water1.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/leftbehind/water2.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	}

//********************************************************************************************************************************************

//FENCE

textures/leftbehind/fence
{
	qer_editorimage textures/base_trim/proto_fence.tga
	surfaceparm trans		
	cull none
	surfaceparm nomarks
	surfaceparm	nonsolid
    nopicmip
	surfaceparm alphashadow

	{
		map textures/base_trim/proto_fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//********************************************************************************************************************************************

//FOG

textures/leftbehind/hellfog
{
	qer_editorimage textures/sfx/fog_grey.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 100
	fogparms ( .40 .06 .01 ) 64
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

//********************************************************************************************************************************************

//FLARES

textures/leftbehind/flare_red
{
	qer_editorimage textures/leftbehind/flare_red.tga
	surfaceparm trans
	surfaceparm nomarks
    	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.5
	cull none
	deformVertexes autosprite
	//nopicmip
	{
		map textures/leftbehind/flare_red.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
	}
}

textures/leftbehind/flare_yellow
{
	qer_editorimage textures/leftbehind/flare_yellow.tga
	surfaceparm trans
	surfaceparm nomarks
    surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.5
	cull none
	deformVertexes autosprite
	//nopicmip
	{
		map textures/leftbehind/flare_yellow.tga
		blendfunc gl_one gl_one_minus_src_color
		rgbGen identity
	}
}

textures/leftbehind/beam_1_yellow
{
	qer_editorimage textures/leftbehind/beam_1_yellow.tga
    surfaceparm trans	
    surfaceparm nomarks	
    surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
    //nopicmip
	{
		map textures/leftbehind/beam_1_yellow.tga
        tcMod Scroll .3 0
        blendFunc add
        }
}

//********************************************************************************************************************************************

//LIGHTS

textures/leftbehind/baslt4_lb_1k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 1000

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/leftbehind/lightbeam_01_3k
{
	surfaceparm nomarks
	q3map_surfacelight 3000
	q3map_lightsubdivide 32
	q3map_lightimage textures/leftbehind/lb_beam_01_blend.tga
	qer_editorimage textures/leftbehind/lb_beam_01.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/leftbehind/lb_beam_01.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/leftbehind/lb_beam_01_blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

//********************************************************************************************************************************************

//JUMPPAD WALL

textures/leftbehind/wall_jump
{
	qer_editorimage textures/leftbehind/wall_jump.tga

	{
		map textures/sfx2/rlaunch3.tga
		rgbGen identity
		tcmod scale 1 .5
		tcmod scroll 0 1.42
	}

	{
		map textures/leftbehind/wall_jump.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc GL_DST_COLOR GL_ZERO
	}	
}

//********************************************************************************************************************************************

//TERRAIN

textures/leftbehind/rock_sand
{
	q3map_nonPlanar
	q3map_forcemeta         
	qer_editorimage textures/common/terrain.tga
	q3map_alphaMod dotproduct2 ( 0 0 1 )
	q3map_tcmod rotate 0
	q3map_globaltexture
	q3map_shadeAngle 130
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/leftbehind/rock_02.tga
		rgbGen identity
	}
	{
		map textures/leftbehind/ground2.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphagen Vertex
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbGen identity
	}
}

textures/leftbehind/rock2
{
	qer_editorimage textures/leftbehind/rock_02.tga
	
	q3map_nonplanar
	q3map_shadeAngle 90
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/leftbehind/rock_02.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/leftbehind/sand
{
	qer_editorimage textures/leftbehind/ground2.tga
	
	q3map_nonplanar
	q3map_shadeAngle 90
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/leftbehind/ground2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//********************************************************************************************************************************************

//SKY

textures/leftbehind/lb_firesky1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_skyLight 125 3
	q3map_sunExt	1 1 0.8 200 30 90 3 16 
	q3map_lightmapFilterRadius 0 8   
	qer_editorimage textures/skies/inteldimclouds.tga
	q3map_lightimage textures/skies/inteldimclouds.tga

	skyparms - 512 -

	{
		map textures/skies/inteldimclouds.tga
		tcMod scale 3 2
		tcMod scroll 0.15 0.15
		depthWrite
	}
	{
		map textures/skies/topclouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.05 0.05
	}
}

//********************************************************************************************************************************************

textures/leftbehind/banner
{
     cull disable
     surfaceparm alphashadow
     surfaceparm trans	
     surfaceparm nomarks
     tessSize 64
     deformVertexes wave 30 sin 0 2 0 .2
     deformVertexes wave 100 sin 0 2 0 .7
	 qer_editorimage textures/base_wall/protobanner.tga
     
	{
        map textures/base_wall/protobanner.tga
        alphaFunc GE128
		depthWrite
		rgbGen identity
    }
    {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

//********************************************************************************************************************************************

//TELE EXIT

textures/leftbehind/tele_exit
{
   qer_editorimage textures/ql/telex.tga
   noPicMip
   polygonOffset
   surfaceparm nonsolid
   surfaceparm nomarks
   {
      map textures/ql/telex.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
   }

}